Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026156
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-04-03 10:502014-05-15 21:41
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in VersionRR14Q2
StatusclosedFix in branchFixed in SCM revision4f3ee7ee2f5d
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026156: Wrong message If you try to pay a return

DescriptionWrong message If you try to pay a return
Steps To Reproduce-Configure cash payment method as default
-Do a cash up to be sure that you have 0 amount in all payments
-Do a sale using cash method --> for example total 150
-Create a new ticket and add a line (lower amount than 150)
-Select the line and press in return line
-Press in total

You will get the message "There is not enough cash available"

If you press in Ok, the system works fine and it will add the payment, however the message is wrong
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0026188 closedmalsasua [RR14Q2] Even though there is exact amount in the financial count, still system wrongly shows as not enough cash available ..whi 
causes design defect 0030518 closedOrekaria The callback in 'OB.UTIL.calculateCurrentCash' should be called once, on finish 

-  Notes
(0066217)
hgbot (developer)
2014-04-07 20:01

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 57e9da3efe0fa18ca6e29d256dbf995fca0cdf48
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Mon Apr 07 20:01:16 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/57e9da3efe0fa18ca6e29d256dbf995fca0cdf48 [^]

fixed issue 26156: Wrong message If you try to pay a return

---
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0066229)
hgbot (developer)
2014-04-08 11:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 2d4c1a634a6d89c72c1a5b1f1f94ad1eaf2af6bc
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Tue Apr 08 11:15:34 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2d4c1a634a6d89c72c1a5b1f1f94ad1eaf2af6bc [^]

fixed issue 26156: Wrong message If you try to pay a return

---
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---
(0066230)
hgbot (developer)
2014-04-08 11:54

Repository: erp/pmods/org.openbravo.retail.posterminal.cds
Changeset: 089df4f21fdb8163ac9339cb06b4dcb17d65e328
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Mon Apr 07 20:01:16 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cds/rev/089df4f21fdb8163ac9339cb06b4dcb17d65e328 [^]

fixed issue 26156: Wrong message If you try to pay a return

---
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0066231)
hgbot (developer)
2014-04-08 11:54

Repository: erp/pmods/org.openbravo.retail.posterminal.cds
Changeset: 6adeb5159c999ce261aa9684c8b9abc281314525
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Tue Apr 08 11:15:34 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cds/rev/6adeb5159c999ce261aa9684c8b9abc281314525 [^]

fixed issue 26156: Wrong message If you try to pay a return

---
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---
(0066443)
migueldejuana (developer)
2014-04-15 13:29

Tested and reviewed in ad1d32246b78
(0067049)
hgbot (developer)
2014-05-09 16:02

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: bf68973d79163f920567f0aa465c1847eade64c2
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Mon Apr 07 20:01:16 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/bf68973d79163f920567f0aa465c1847eade64c2 [^]

fixed issue 26156: Wrong message If you try to pay a return

---
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-right.js
M web/org.openbravo.retail.posterminal/js/utils/cashUpReportUtils.js
---
(0067050)
hgbot (developer)
2014-05-09 16:02

Repository: erp/pmods/org.openbravo.retail.posterminal.unstablenetworks
Changeset: 4f3ee7ee2f5d64c8cd3b91dfdfcf58ad969b0306
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Tue Apr 08 11:15:34 2014 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/4f3ee7ee2f5d64c8cd3b91dfdfcf58ad969b0306 [^]

fixed issue 26156: Wrong message If you try to pay a return

---
M web/org.openbravo.retail.posterminal/js/cashmgmt/model/cashmgmt-model.js
M web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js
---
(0067176)
mtaal (manager)
2014-05-15 21:41

reclosing as only re-opened by merge

- Issue History
Date Modified Username Field Change
2014-04-03 10:50 jecharri New Issue
2014-04-03 10:50 jecharri Assigned To => marvintm
2014-04-03 10:50 jecharri Triggers an Emergency Pack => No
2014-04-03 17:12 rafademiguel Issue Monitored: rafademiguel
2014-04-07 20:01 hgbot Checkin
2014-04-07 20:01 hgbot Note Added: 0066217
2014-04-07 20:01 hgbot Status new => resolved
2014-04-07 20:01 hgbot Resolution open => fixed
2014-04-07 20:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/57e9da3efe0fa18ca6e29d256dbf995fca0cdf48 [^]
2014-04-08 11:15 hgbot Checkin
2014-04-08 11:15 hgbot Note Added: 0066229
2014-04-08 11:15 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/57e9da3efe0fa18ca6e29d256dbf995fca0cdf48 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2d4c1a634a6d89c72c1a5b1f1f94ad1eaf2af6bc [^]
2014-04-08 11:54 hgbot Checkin
2014-04-08 11:54 hgbot Note Added: 0066230
2014-04-08 11:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/2d4c1a634a6d89c72c1a5b1f1f94ad1eaf2af6bc [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cds/rev/089df4f21fdb8163ac9339cb06b4dcb17d65e328 [^]
2014-04-08 11:54 hgbot Checkin
2014-04-08 11:54 hgbot Note Added: 0066231
2014-04-08 11:54 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cds/rev/089df4f21fdb8163ac9339cb06b4dcb17d65e328 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cds/rev/6adeb5159c999ce261aa9684c8b9abc281314525 [^]
2014-04-10 18:13 malsasua Relationship added has duplicate 0026188
2014-04-15 13:29 migueldejuana Review Assigned To => migueldejuana
2014-04-15 13:29 migueldejuana Note Added: 0066443
2014-04-15 13:29 migueldejuana Status resolved => closed
2014-04-15 13:29 migueldejuana Fixed in Version => RR14Q2
2014-05-09 16:02 hgbot Checkin
2014-05-09 16:02 hgbot Note Added: 0067049
2014-05-09 16:02 hgbot Status closed => resolved
2014-05-09 16:02 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cds/rev/6adeb5159c999ce261aa9684c8b9abc281314525 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/bf68973d79163f920567f0aa465c1847eade64c2 [^]
2014-05-09 16:02 hgbot Checkin
2014-05-09 16:02 hgbot Note Added: 0067050
2014-05-09 16:02 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/bf68973d79163f920567f0aa465c1847eade64c2 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.unstablenetworks/rev/4f3ee7ee2f5d64c8cd3b91dfdfcf58ad969b0306 [^]
2014-05-15 21:41 mtaal Note Added: 0067176
2014-05-15 21:41 mtaal Status resolved => closed
2015-08-07 13:38 Orekaria Relationship added causes 0030518


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker